Create an email list.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/email/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Name": "Product updates",
"Description": "Product news and announcements",
"RequiresDoubleOptIn": true
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/email/lists"
payload = {
"Name": "Product updates",
"Description": "Product news and announcements",
"RequiresDoubleOptIn": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Name: 'Product updates',
Description: 'Product news and announcements',
RequiresDoubleOptIn: true
})
};
fetch('https://{subdomain}.outseta.com/api/v1/email/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"WelcomeSubject": "string",
"WelcomeBody": "string",
"WelcomeFromName": "string",
"WelcomeFromEmail": "string",
"RequiresDoubleOptIn": false,
"IsInternal": false,
"EmailListPerson": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {},
"Person": {},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
],
"FieldConfigurationDataJSON": "string",
"CountSubscriptionsActive": 0,
"CountSubscriptionsBounce": 0,
"CountSubscriptionsNotConfirmed": 0,
"CountSubscriptionsSpam": 0,
"CountSubscriptionsUnsubscribed": 0
}Email lists
Create an email list.
Name is required and must be unique. Set RequiresDoubleOptIn to true to require new subscribers to confirm their subscription. WelcomeSubject and WelcomeBody configure an optional welcome email; use WelcomeFromName and WelcomeFromEmail to set its sender.
POST
/
api
/
v1
/
email
/
lists
Create an email list.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Body
application/json
The email list to create
Required string length:
1 - 100Maximum string length:
10Maximum string length:
255Maximum string length:
250Maximum string length:
250Maximum string length:
250Response
Minimum string length:
1Minimum string length:
1Required string length:
1 - 100Maximum string length:
10Maximum string length:
255Maximum string length:
250Maximum string length:
250Maximum string length:
250